## WebKitDOMBatteryManager

WebKitDOMBatteryManager

## Functions

gboolean | webkit_dom_battery_manager_dispatch_event ()
gboolean | webkit_dom_battery_manager_get_charging ()
gdouble | webkit_dom_battery_manager_get_charging_time ()
gdouble | webkit_dom_battery_manager_get_discharging_time ()
gdouble | webkit_dom_battery_manager_get_level ()

## Properties

gboolean | charging | Read
gdouble | charging-time | Read
gdouble | discharging-time | Read
gdouble | level | Read

## Types and Values

| WebKitDOMBatteryManager

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMBatteryManager

## Implemented Interfaces

WebKitDOMBatteryManager implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_battery_manager_dispatch_event ()

    gboolean
    webkit_dom_battery_manager_dispatch_event
                                   (WebKitDOMBatteryManager *self,
                                    WebKitDOMEvent *event,
                                    GError **error);

`webkit_dom_battery_manager_dispatch_event` has been deprecated since version 2.4 and should not be used in newly-written code.

Use `webkit_dom_event_target_dispatch_event()` instead.

#### Parameters

self | A WebKitDOMBatteryManager |
event | A WebKitDOMEvent |
error | GError |

#### Returns

A gboolean

### webkit_dom_battery_manager_get_charging ()

    gboolean
    webkit_dom_battery_manager_get_charging
                                   (WebKitDOMBatteryManager *self);

`webkit_dom_battery_manager_get_charging` is deprecated and should not be used in newly-written code.

#### Parameters

self | A WebKitDOMBatteryManager |

#### Returns

A gboolean

### webkit_dom_battery_manager_get_charging_time ()

    gdouble
    webkit_dom_battery_manager_get_charging_time
                                   (WebKitDOMBatteryManager *self);

#### Parameters

self | A WebKitDOMBatteryManager |

#### Returns

A gdouble

### webkit_dom_battery_manager_get_discharging_time ()

    gdouble
    webkit_dom_battery_manager_get_discharging_time
                                   (WebKitDOMBatteryManager *self);

#### Parameters

self | A WebKitDOMBatteryManager |

#### Returns

A gdouble

### webkit_dom_battery_manager_get_level ()

    gdouble
    webkit_dom_battery_manager_get_level (WebKitDOMBatteryManager *self);

#### Parameters

self | A WebKitDOMBatteryManager |

#### Returns

A gdouble

## Types and Values

### WebKitDOMBatteryManager

    typedef struct _WebKitDOMBatteryManager WebKitDOMBatteryManager;

## Property Details

### The `“charging”` property

      “charging”                 gboolean

read-only gboolean BatteryManager:charging.

Flags: Read

Default value: FALSE

### The `“charging-time”` property

      “charging-time”            gdouble

read-only gdouble BatteryManager:charging-time.

Flags: Read

Default value: 0

### The `“discharging-time”` property

      “discharging-time”         gdouble

read-only gdouble BatteryManager:discharging-time.

Flags: Read

Default value: 0

### The `“level”` property

      “level”                    gdouble

read-only gdouble BatteryManager:level.

Flags: Read

Default value: 0